Loading...
Searching...
No Matches
FreetdsSqlUtil::FreetdsUniqueConstraintCommon Class Reference

common base class for unique constraints More...

Inheritance diagram for FreetdsSqlUtil::FreetdsUniqueConstraintCommon:
[legend]

## Public Member Functions

| clearIndex ()
| clears any index base for the constraint
| constructor (*string ts)
| creates the constraint with an optional filegroup name
| getIndexSql (reference< string > sql, string name, *hash opts)
| adds index options onto the sql creation string
*string | getTablespace ()
| returns the filegroup name used for this constraint, if known
bool | setIndexBase (string ix)
| sets the supporting index name
| setTablespace (*string ts)
| sets or clears the filegroup name

## Protected Member Functions

| constructor ()
| empty constructor for subclasses

## Protected Attributes

*string | filegroup
| any filegroup for the unique key index

## Detailed Description

common base class for unique constraints